### Constructor

# Lfb Event new

#### Declaration [src]

    LfbEvent*
    lfb_event_new (
      const char* event
    )

#### Description [src]

Creates a new `LfbEvent` based on the given event name. See `LfbEvent:event` for details.

#### Parameters

`event`

  Type: `const char*`

  The event’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `LfbEvent`

The `LfbEvent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.